imports:
    - { resource: "@CanaryCommerceBundle/Resources/config/workflows.yaml" }

framework:
    assets:
        packages:
            canary_commerce:
                base_path: 'bundles/canarycommerce'

doctrine:
    orm:
        resolve_target_entities:
            Canary\CommerceBundle\Model\PurchasableInterface: PrintStorm\Entity\ProductVariant

fos_ck_editor:
    configs:
        canary_commerce_description:
            height: 130
            toolbar: canary_commerce_description_tools
            disableNativeSpellChecker: false
            extraPlugins: "autogrow"

    toolbars:
        configs:
            canary_commerce_description_tools:
                - [ 'Bold', 'Italic' ]
                - [ 'Link', 'Unlink' ]
                - [ 'Source' ]

canary_commerce:
    payment_failed_route: checkout_complete
    payment_success_route: orders_show
